%define upstream_name    CPS
%define upstream_version 0.19

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Iterate at some later point
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Future)
BuildRequires: perl(Module::Build) >= 0.400.400
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::Identity)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Refcount)
BuildArch:  noarch

%description
Objects based on this abstract class are used by the 'gk*' variants of the
CPS functions, to control their behavior. These objects are
expected to provide a method, 'again', which the functions will use to
re-invoke iterations of loops, and so on. By providing a different
implementation of this method, governor objects can provide such behaviours
as rate-limiting, asynchronisation or parallelism, and integration with
event-based IO frameworks.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
perl Build.PL --installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0

%check
./Build test

%files
%license LICENSE
%doc Changes META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.190.0-4.mga10
+ Revision: 2209132
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 0.190.0-3.mga9
+ Revision: 1819559
- Mageia 9 Mass Rebuild

* Sun Feb 16 2020 umeabot <umeabot> 0.190.0-2.mga8
+ Revision: 1530489
- Mageia 8 Mass Rebuild

* Thu Aug 29 2019 tv <tv> 0.190.0-1.mga8
+ Revision: 1435083
- update to 0.19

* Wed Sep 19 2018 umeabot <umeabot> 0.180.0-6.mga7
+ Revision: 1266722
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.180.0-5.mga6
+ Revision: 1024500
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.180.0-4.mga6
+ Revision: 947946
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.180.0-3.mga5
+ Revision: 749728
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.180.0-2.mga5
+ Revision: 683706
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 jquelin <jquelin> 0.180.0-1.mga5
+ Revision: 588230
- update to 0.18

* Fri Oct 18 2013 umeabot <umeabot> 0.170.0-3.mga4
+ Revision: 509422
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.170.0-2.mga3
+ Revision: 363715
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 29 2012 kharec <kharec> 0.170.0-1.mga3
+ Revision: 285139
- update to 0.17

* Wed Jul 04 2012 jquelin <jquelin> 0.150.0-1.mga3
+ Revision: 267269
- update to 0.15

* Mon Mar 05 2012 jquelin <jquelin> 0.140.0-1.mga2
+ Revision: 218660
- update to 0.14

* Thu Feb 23 2012 jquelin <jquelin> 0.130.0-1.mga2
+ Revision: 212713
- update to 0.13

* Wed Jan 04 2012 jquelin <jquelin> 0.120.0-1.mga2
+ Revision: 190479
- adding missing buildrequires:
- update to 0.12

* Tue Jan 18 2011 jquelin <jquelin> 0.110.0-1.mga1
+ Revision: 22234
- cleaning spec file
- imported package perl-CPS


* Fri Dec 31 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.110.0-1mdv2011.0
+ Revision: 626868
- import perl-CPS

